$schema: http://json-schema.org/draft-07/schema#
type: object
patternProperties:
  ^[a-zA-Z0-9\-\._~]+$:
    type: object
    properties:
      storage:
        type: string
        pattern: ^(SSD[12]?:[0-9]+|INTERNAL|DATA)$
    additionalProperties: false
    required:
    - storage
additionalProperties: false

